Subject: Re: bug#24409: 25.1.1; dired-jump: Interactive call w/ prefix arg move to wrong file line

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Sep 2016 19:53:19 +0300

> From: Tino Calancha <[email-masked]>
> Date: Mon, 12 Sep 2016 13:37:14 +0900 (JST)
> cc: Tino Calancha <[email-masked]>, [email-masked]
> 
> > I think a better comment would be to say that dired-goto-file requires
> > its argument to be an absolute file name, and the result of
> > read-file-name could be an abbreviated file name.
> Thank you.  I rewrote the comment/log message with your suggestion.
> I included the word canonical: an abbreviated file name could be
> an absolute file name, for instance ~/foo, but dired-goto-file,
> in addition to absolute file name, requires the substitution of '~/'.

We don't have a notion of a "canonical" file name in Emacs, so I'm not
sure this helps.  OTOH, "absolute file name" is quite clear, and I
don't think people will be confused by the fact that ~/foo returns
non-nil from file-name-absolute-p.

> +When FILE-NAME is non-nil, move to FILE-NAME line in Dired.

  "When FILE-NAME is non-nil, jump to its line in Dired."

(Try to avoid saying the same thing twice too close to one another.)

Thanks.